cocoapods安装遇到的一些小难题!

原创 2016年06月01日 10:14:19

Error fetching http://ruby.taobao.org/:

bad response Not Found 404 (http://ruby.taobao.org/specs.4.8.gz)

在我们切换淘宝镜像的时候报这个错误。。。。我看完之后写完之后直接笑哭了- _ -,不信自己看就加了一个字母试了一下成功了。。。QAQ






[!] /usr/bin/git clone https://github.com/CocoaPods/Specs.git master


Cloning into 'master'...

error: RPC failed; curl 56 SSLRead() return error -36

fatal: The remote end hung up unexpectedly

fatal: early EOF

fatal: index-pack failed


我们都知道安装pods的时候需要键入pod setup命令,但是我在输入等待一大段时间之后居然报这种错,,,坑爹啊。于是乎看了看错误信息搜索了各种答案之后觉得还是这样比较合适

sudo xcode-select -switch/(xcode.app下的Developer的路径)例如:sudo xcode -select  -switch/Applications/Xcode.app/Contents/Developer接着键入你的开机密码就ok拉


还有一种可能性就是你的网络不够好,多试几次pod setup命令这是最坑爹的直到你看到才能算是ok啦



这样就可以了!当然这是我出现这种错误的解决办法,此文仅用于自己和各位开发的小伙伴观赏~ ~有不足的地方请多多指教A.A

版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

CocoaPods安装使用

  • 2016-01-05 10:36
  • 155KB
  • 下载

cocoaPods安装2017 以及遇到的坑

前段时间在处理新项目需要使用cocoaPods,发现网络上提供的办法部分步骤已经过时,先把自己安装步骤放到这里。具体介绍网络上有很多 此处省略。 首先,检查你的ruby源:  gem ...

安装ruby环境(使用cocoaPods)

  • 2015-10-27 10:11
  • 199KB
  • 下载

CocoaPods安装和使用教程

  • 2016-02-15 14:04
  • 104KB
  • 下载

黑苹果安装CocoaPods遇到Ruby版本过低的解决方案

安装cocopods时,执行第一步时: $ sudo gem install -n/usr/local/bin cocoa pods 出现下面错误:(以前是没有的) Error installing ...

Cocoapods安装遇到的问题

前言今天听一个同行介绍Cocoapods,兴冲冲的准备安装,谁想上来就出现问题,无奈专开一篇记录安装的问题问题问题1:ERROR: Could not find a valid gem 'cocoa...

安装 CocoaPods 时遇到的一些问题

安装 CocoaPods 时遇到的若干问题。

安装CocoaPods遇到的问题及解决办法

又出现错误 ERROR: While executing gem ... (Errno::EPERM) Operation not permitted - /usr/bin/fuzzy_m...

安装CocoaPods过程和遇到各种坑

安装CocoaPods过程和遇到各种坑 网络不好慎用!!!! 1.打开终端 2 移除现有 Ruby 默认源 输入以下指令 $gem sources --remove h...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)